libvisio::VSDParagraphListElement Class Referenceabstract
Inheritance diagram for libvisio::VSDParagraphListElement:

## Public Member Functions

| VSDParagraphListElement (unsigned id, unsigned level)
virtual | ~VSDParagraphListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDParagraphListElement * | clone ()=0
virtual unsigned | getCharCount () const =0
virtual void | setCharCount (unsigned charCount)=0

## Public Attributes

unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDParagraphListElement()

libvisio::VSDParagraphListElement::VSDParagraphListElement | ( | unsigned | id,
|  | unsigned | level )

inline

Referenced by clone(), and libvisio::VSDParaIX::VSDParaIX().

## ~VSDParagraphListElement()

virtual libvisio::VSDParagraphListElement::~VSDParagraphListElement | ( |  | ) |

inline virtual

## Member Function Documentation

## clone()

virtual VSDParagraphListElement * libvisio::VSDParagraphListElement::clone | ( |  | ) |

pure virtual

Implemented in libvisio::VSDParaIX.

## getCharCount()

virtual unsigned libvisio::VSDParagraphListElement::getCharCount | ( |  | ) | const

pure virtual

Implemented in libvisio::VSDParaIX.

## handle()

virtual void libvisio::VSDParagraphListElement::handle | ( | VSDCollector * | collector | ) | const

pure virtual

Implemented in libvisio::VSDParaIX.

## setCharCount()

virtual void libvisio::VSDParagraphListElement::setCharCount | ( | unsigned | charCount | ) |

pure virtual

Implemented in libvisio::VSDParaIX.

## Member Data Documentation

## m_id

unsigned libvisio::VSDParagraphListElement::m_id

Referenced by libvisio::VSDParaIX::clone(), libvisio::VSDParaIX::handle(), and VSDParagraphListElement().

## m_level

unsigned libvisio::VSDParagraphListElement::m_level

Referenced by libvisio::VSDParaIX::clone(), libvisio::VSDParaIX::handle(), and VSDParagraphListElement().

The documentation for this class was generated from the following file:

- VSDParagraphList.cpp